Synchronize Image Series
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}/actions/sync
Submits a job to Synchronize the image series in the FPP server(s) with the data stored in Enterprise Manager
Request
Path Parameters
-
fppServerId(required): string
ID of the FPP server
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
type: string
Default Value:
BOTHAllowed Values:[ "DATA", "CERTIFICATE", "BOTH" ]It describes the sync type
Examples
Back to Top
Response
202 Response
It is a long running/async API. It submits a deployment procedure.
Headers
-
Location:
URL link to track the status of the API for the deployment procedureExample:
/deploymentProcedureInstances/{deploymentProcedureInstanceId}
Root Schema : schema
Type:
Show Source
object-
links: object
links
links
-
message: string
messageExample:
It is a long running/async API. It submits a deployment procedure.
Nested Schema : links
Type:
objectlinks
Show Source
-
tracking: object
tracking
Represents a link to the REST API to track the status of the submitted deployment procedure
Nested Schema : tracking
Type:
objectRepresents a link to the REST API to track the status of the submitted deployment procedure
Show Source
-
href: string
URL for the linkExample:
/deploymentProcedureInstances/{deploymentProcedureInstanceId}
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message